apiVersion: v1
kind: ConfigMap
metadata:
  name: redis-config
  namespace: exam-portal
data:
  redis.conf: |
    bind 0.0.0.0
    port 6379
    requirepass ${REDIS_PASSWORD}
    user ${REDIS_USERNAME} on >${REDIS_PASSWORD} ~* &* +@all
    protected-mode yes
